LookupDataLocator

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.lookup.client
Class LookupDataLocator

    java.lang.Object
      org.openswing.swing.tree.client.TreeDataLocator
          org.openswing.swing.lookup.client.LookupDataLocator

Direct Known Subclasses:
  LookupServerDataLocator

public abstract class LookupDataLocator
extends TreeDataLocator

Title: OpenSwing Framework

Description: Lookup Data Source.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`LookupDataLocator()`

Method Summary
`java.util.Map` | `getLookupFrameParams()`
`java.util.Map` | `getLookupValidationParameters()`
`abstract Response` | `loadData(int action, int startIndex, java.util.Map filteredColumns, java.util.ArrayList currentSortedColumns, java.util.ArrayList currentSortedVersusColumns, java.lang.Class valueObjectType)` Method called by lookup controller when user clicks on lookup button.
`void` | `setLookupFrameParams(java.util.Map lookupFrameParams)` Set lookup frame parameters.
`void` | `setLookupValidationParameters(java.util.Map lookupValidationParameters)` Set lookup validation code parameters.
`abstract Response` | `validateCode(java.lang.String code)` Method called by lookup controller when validating code.

Methods inherited from class org.openswing.swing.tree.client.TreeDataLocator
`getNodeNameAttribute, getTreeModel, getTreeNodeParams, loadDataCompleted, setNodeNameAttribute, setTreeNodeParams`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LookupDataLocator

    public LookupDataLocator()

Method Detail

### validateCode

    public abstract Response validateCode(java.lang.String code)

  Method called by lookup controller when validating code.

  Parameters:
    `code` - code to validate
  Returns:
    code validation response: VOListResponse if code validation has success, ErrorResponse otherwise

### loadData

    public abstract Response loadData(int action,
                                      int startIndex,
                                      java.util.Map filteredColumns,
                                      java.util.ArrayList currentSortedColumns,
                                      java.util.ArrayList currentSortedVersusColumns,
                                      java.lang.Class valueObjectType)

  Method called by lookup controller when user clicks on lookup button.

  Parameters:
    `action` - fetching versus: PREVIOUS_BLOCK_ACTION, NEXT_BLOCK_ACTION or LAST_BLOCK_ACTION
    `startIndex` - current index row on grid to use to start fetching data
    `filteredColumns` - filtered columns
    `currentSortedColumns` - sorted columns
    `currentSortedVersusColumns` - ordering versus of sorted columns
    `valueObjectType` - type of value object associated to the lookup grid
  Returns:
    list of value objects to fill in the lookup grid: VOListResponse if data fetching has success, ErrorResponse otherwise

### getLookupFrameParams

    public java.util.Map getLookupFrameParams()

  Returns:
    lookup frame parameters

### getLookupValidationParameters

    public java.util.Map getLookupValidationParameters()

  Returns:
    lookup validation code parameters

### setLookupValidationParameters

    public void setLookupValidationParameters(java.util.Map lookupValidationParameters)

  Set lookup validation code parameters.

  Parameters:
    `lookupValidationParameters` - lookup validation code parameters

### setLookupFrameParams

    public void setLookupFrameParams(java.util.Map lookupFrameParams)

  Set lookup frame parameters.

  Parameters:
    `lookupFrameParams` - lookup frame parameters

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD